.add-tag-form {
    @apply fixed hidden;
    @apply top-0 left-0;
    @apply w-full h-full;
    @apply z-20;

    &>.overlay {
        @apply bg-brand-black;
        @apply w-full h-full;
    }

    &>.form-wrapper {
        @apply absolute;
        @apply inset-0;
        @apply m-auto;
        @apply flex flex-col justify-center items-center;
        @apply bg-brand-white;
        @apply rounded-md;
        min-height: 16rem;
        @apply w-10/12 h-2/5;
        transform: translateY(100vh);

        h1 {
            @apply text-4xl text-brand-black font-display;
            @apply mb-4;
        }

        .form {
            @apply h-3/5;
            @apply flex flex-col justify-around items-center;
            @apply font-display;

            input {
                @apply w-10/12;
                @apply px-4 py-2;
                @apply border-0;
                @apply transition-all duration-100 ease-in-out;
            }

            input:focus {
                @apply border-b-2;
                @apply outline-none;
            }

            [name="tag-name"] {
                @apply text-2xl;
                @apply bg-red-100;
                @apply border-brand-red;

                &::placeholder {
                    @apply text-brand-red;
                }
            }

            [name="tag-description"] {
                @apply text-lg;
                @apply bg-green-100;
                @apply border-brand-green;

                &::placeholder {
                    @apply text-brand-green;
                }
            }

            .actions {
                @apply mt-4;
                @apply w-10/12;
                @apply flex items-center justify-around;

                button {
                    @apply px-5 py-2;
                    @apply rounded-md;

                    &:focus {
                        @apply outline-none;
                    }
                }

                .save {
                    @apply bg-brand-red;
                    @apply text-brand-white;

                    &:hover {
                        @apply bg-red-500;
                    }

                }

                .cancel {
                    @apply bg-brand-white;
                    @apply text-brand-green;
                    @apply border border-brand-green;

                    &:hover {
                        @apply border-green-500 text-green-500;
                    }

                }
            }

            .error {
                @apply ml-4 text-brand-red text-sm;

                .message {
                    @apply ml-1;
                }
            }
        }
    }

    &.open {
        @apply block;
    }
}

@screen md {
    .add-tag-form {
        &>.form-wrapper {
            @apply w-4/6;
        }
    }
}

@screen lg {
    .add-tag-form {
        &>.form-wrapper {
            @apply w-1/3;
        }
    }
}